Subject: Re: bug#62892: proposal to extend mark-sexp to go forward and backward on command

From: Visuwesh <[email-masked]>
Date: Fri, 21 Apr 2023 15:21:59 +0530

[வெள்ளி ஏப்ரல் 21, 2023] Eli Zaretskii wrote:

>> From: Zachary Kanfer <[email-masked]>
>> Date: Fri, 21 Apr 2023 01:04:30 -0400
>> Cc: [email-masked], [email-masked], Juri Linkov <[email-masked]>
>> 
>> It's able to be worked around, yes -- but I think it's easier to have separate methods for forward and
>> backward, the way we do for so many other commands. For one, having separate functions makes it
>> easier to start moving backward, (rather than giving a -1 prefix argument.
>
> Adding functions and commands is not free, it does come with a price:
> they need to be documented in our two manuals (something your patch
> neglected to do, btw), users need to learn them, etc.
>
> So I wonder whether on balance it is justified to add this.  Lars,
> Stefan: any comments or opinions?
>
> Does anyone else have an opinion?

In situations like these, I extend the region simply by motion commands
after marking the current sexp.  If I want to go in the opposite
direction, I type C-x C-x.  I don't see myself ever using these
commands.
This mechanism works for every object that has a mark command, not just
sexp which I consider a plus.